org.openmuc.openiec61850.clientgui.databind

## Class TextFieldDataBind.AbstractFilter

- java.lang.Object
- - javax.swing.text.DocumentFilter
  - - org.openmuc.openiec61850.clientgui.databind.TextFieldDataBind.AbstractFilter

Enclosing class:
  TextFieldDataBind<E extends BasicDataAttribute>

    protected abstract static class TextFieldDataBind.AbstractFilter
    extends javax.swing.text.DocumentFilter

### Nested Class Summary

### Nested classes/interfaces inherited from class javax.swing.text.DocumentFilter

`javax.swing.text.DocumentFilter.FilterBypass`

### Constructor Summary

Constructors
`protected` `AbstractFilter()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `insertString(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, java.lang.String string, javax.swing.text.AttributeSet attr)`
`void` `remove(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length)`
`void` `replace(javax.swing.text.DocumentFilter.FilterBypass fb, int offset, int length, java.lang.String text, javax.swing.text.AttributeSet attrs)`
`protected abstract boolean` `test(java.lang.String text)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractFilter

    protected AbstractFilter()

### Method Detail

#### insertString

    public final void insertString(javax.swing.text.DocumentFilter.FilterBypass fb,
                                   int offset,
                                   java.lang.String string,
                                   javax.swing.text.AttributeSet attr)
                            throws javax.swing.text.BadLocationException

Overrides:
  `insertString` in class `javax.swing.text.DocumentFilter`
Throws:
  `javax.swing.text.BadLocationException`

#### replace

    public final void replace(javax.swing.text.DocumentFilter.FilterBypass fb,
                              int offset,
                              int length,
                              java.lang.String text,
                              javax.swing.text.AttributeSet attrs)
                       throws javax.swing.text.BadLocationException

Overrides:
  `replace` in class `javax.swing.text.DocumentFilter`
Throws:
  `javax.swing.text.BadLocationException`

#### remove

    public final void remove(javax.swing.text.DocumentFilter.FilterBypass fb,
                             int offset,
                             int length)
                      throws javax.swing.text.BadLocationException

Overrides:
  `remove` in class `javax.swing.text.DocumentFilter`
Throws:
  `javax.swing.text.BadLocationException`

#### test

    protected abstract boolean test(java.lang.String text)